{ config, lib, ... }:
let
  cfg = config.khscodes.sshd;
in
{
  options.khscodes.sshd.enable = lib.mkEnableOption "Enables sshd for the instance";

  config = lib.mkIf cfg.enable {
    services.sshd.enable = true;
  };
}
